

# StartSchemaMerge
<a name="API_StartSchemaMerge"></a>

Initiates a merge operation. Returns a status that shows the result of the merge operation.

## Request Syntax
<a name="API_StartSchemaMerge_RequestSyntax"></a>

```
POST /v1/mergedApis/mergedApiIdentifier/sourceApiAssociations/associationId/merge HTTP/1.1
```

## URI Request Parameters
<a name="API_StartSchemaMerge_RequestParameters"></a>

The request uses the following URI parameters.

 ** [associationId](#API_StartSchemaMerge_RequestSyntax) **   <a name="appsync-StartSchemaMerge-request-uri-associationId"></a>
The ID generated by the AppSync service for the source API association.  
Required: Yes

 ** [mergedApiIdentifier](#API_StartSchemaMerge_RequestSyntax) **   <a name="appsync-StartSchemaMerge-request-uri-mergedApiIdentifier"></a>
The identifier of the AppSync Merged API. This is generated by the AppSync service. In most cases, Merged APIs (especially in your account) only require the API ID value or ARN of the merged API. However, Merged APIs in other accounts (cross-account use cases) strictly require the full resource ARN of the merged API.  
Required: Yes

## Request Body
<a name="API_StartSchemaMerge_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_StartSchemaMerge_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "sourceApiAssociationStatus": "string"
}
```

## Response Elements
<a name="API_StartSchemaMerge_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [sourceApiAssociationStatus](#API_StartSchemaMerge_ResponseSyntax) **   <a name="appsync-StartSchemaMerge-response-sourceApiAssociationStatus"></a>
The state of the source API association.  
Type: String  
Valid Values: `MERGE_SCHEDULED | MERGE_FAILED | MERGE_SUCCESS | MERGE_IN_PROGRESS | AUTO_MERGE_SCHEDULE_FAILED | DELETION_SCHEDULED | DELETION_IN_PROGRESS | DELETION_FAILED` 

## Errors
<a name="API_StartSchemaMerge_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and then try again.    
 ** detail **   
Provides further details for the reason behind the bad request. For reason type `CODE_ERROR`, the detail will contain a list of code errors.  
 ** reason **   
Provides context for the cause of the bad request. The only supported value is `CODE_ERROR`.
HTTP Status Code: 400

 ** ConcurrentModificationException **   
Another modification is in progress at this time and it must complete before you can make your change.  
HTTP Status Code: 409

 ** InternalFailureException **   
An internal AWS AppSync error occurred. Try your request again.  
HTTP Status Code: 500

 ** NotFoundException **   
The resource specified in the request was not found. Check the resource, and then try again.  
HTTP Status Code: 404

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_StartSchemaMerge_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appsync-2017-07-25/StartSchemaMerge) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appsync-2017-07-25/StartSchemaMerge) 